[CentOS] rpm problem after upgrade

Andres Baravalle andres.baravalle at gmail.com
Wed Sep 20 16:16:09 UTC 2006


Hi,
I have upgraded Centos from 3.x to 4.3.

The upgrade apparently didn't go too bad. I had to do the upgrade
remotely, and I used as a base the post at
http://www.centos.org/modules/newbb/viewtopic.php?topic_id=382

I rebooted the server, and it works. But yum does not work anymore,
apparently due to some conflict between rpmlibs and selinux.

This is the error that I get:

--------------------------

There was a problem importing one of the Python modules
required to run yum. The error leading to this problem was:

   /usr/lib/python2.3/site-packages/rpmmodule.so: undefined symbol:
rpmtsSetREContext

Please install a package which provides this module, or
verify that the module is installed correctly.

It's possible that the above module doesn't match the
current version of Python, which is:
2.3.4 (#1, Feb 22 2005, 04:09:37)
[GCC 3.4.3 20041212 (Red Hat 3.4.3-9.EL4)]

--------------------------

These are the relevant rpms that I have installed in my system:
python-2.3.4-14.1
rpm-4.3.3-13_nonptl
rpm-libs-4.3.3-13_nonptl
yum-2.4.2-2.centos4

any suggestion?

Thanks in advance,
   Andres



More information about the CentOS mailing list